package com.shri.subscriber;

import java.io.IOException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

@SpringBootApplication
public class SubscriberApplication {
    
	public static Logger logger = LoggerFactory.getLogger(SubscriberApplication.class);
	
    public static void main(String[] args) throws IOException {    	
    	ApplicationContext ctx = SpringApplication.run(SubscriberApplication.class, args);
    	
    	SpringKafkaSubscriber springKafkaSubscriber = (SpringKafkaSubscriber) ctx.getBean("SpringKafkaSubscriber");
    	springKafkaSubscriber.start();
    }
}
